## netpanzer 0.8.7%2Bds

=== debian/control ===
Source: netpanzer
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>
Build-Depends:
 debhelper-compat (= 13),
 liblua5.1-0-dev,
 libphysfs-dev,
 libpng-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 pkg-config,
 scons,
 zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.netpanzer.info/
Vcs-Git: https://salsa.debian.org/games-team/netpanzer.git
Vcs-Browser: https://salsa.debian.org/games-team/netpanzer

Package: netpanzer
Architecture: any
Depends:
 netpanzer-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 xqf
Description: online multiplayer tactical warfare game
 netPanzer is an isometric view real-time tactical game designed for
 play across the Internet and over LAN systems. One on one games are
 possible via direct connect or modem.
 .
 netPanzer is designed for FAST ACTION combat -- it is not another resource
 management clone. In fact, there aren't any resources at all. Each player
 will have many units of different types at their disposal. Players can fight
 until their units are destroyed -- then respawn and keep on going.
 .
 The game is real-time, but it's based on quick tactical action and unit
 management. Battles progress quickly and constantly; in fact, they never
 let up. There is no stop in the action because there is no waiting for
 resources to be collected and converted into weaponry. Players can join
 or leave  multiplayer games at any time.

Package: netpanzer-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 netpanzer
Description: data files for the netPanzer game
 netPanzer is an online multiplayer tactical warfare game designed for
 play across the Internet and over LAN systems. One on one games are
 possible via direct connect or modem.
 .
 This package contains data files for netPanzer.
