## netpanzer 0.8.7+ds

=== debian/changelog ===
netpanzer (0.8.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #827150)
  * Switch to compat level 10.
  * Ensure that the package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2017 04:54:05 +0100

netpanzer (0.8.7+ds-1) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Moved the package to Git.
  * Imported Upstream version 0.8.7+ds.
  * Switch to source format 3.0 (quilt).
  * Update watch file.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use compat level 9 and require debhelper >= 9.
  * Remove quilt from Build-Depends.
  * Use canonical Vcs URLs.
  * Update Homepage field to new address.
    Thanks to Sandro Tosi for the report. (Closes: #773998)
  * Drop netpanzer-dbg package because it was replaced by the automatic -dbgsym
    package.
  * d/control: netpanzer-data: Change Recommends netpanzer to Suggests.
  * Drop dirs file.
  * Drop superfluous install file.
  * Simplify debian/rules and switch to dh sequencer.
  * Drop desktop.diff and gcc-4.3.diff. Obsolete.
  * Rebase use-system-libs.patch.
  * Add system-physfs.patch and use Debian's physfs library.
  * Add system-lua.patch and use Debian's lua5.1 library.
  * Install netpanzer.png to hicolor directory and add netpanzer.xpm to debian
    directory.
  * Add desktop-file.patch and create a valid desktop file.
  * Do not install tipsoftheday anymore. It is gone.
  * Add dh_installchangelogs override and install the old changelog.
  * Add hardening.patch and use Debian's system build flags.
  * Update debian/copyright to copyright format 1.0.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Jun 2016 11:46:40 +0200

netpanzer (0.8.4.debian.1-1.2) unstable; urgency=medium

  * Non maintainer upload.
  * Move b-d libpng12-dev to libpng-dev to ease png transition.
    (Closes: #662443)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 15:29:35 +0100

netpanzer (0.8.4.debian.1-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location

  [ Ansgar Burchardt
  * Fix Watchfile

  [ Alexander Reichle-Schmehl ]
  * Add myself as uploader
  * New upstream release (Closes: #595024)
  * Add get-orig-source to debian/rules
  * The package uses now scons as build system; adapt build depends and
    debian/rules accordingly
    * Also adapt build-depends for embedded libs, which we would not like
      to use
  * Add ${misc:Depends} to all Package dependencies
  * Move netpanzer-dbg into section debug
  * Add recommended targets build-arch and build-indep to debian/rules
  * Add debian/README.source
  * Update debian/copyright
  * Bump standards to 3.9.2 (no further changes needed)
  * Fix Vcs-Browser URL after alioth move

  [ Paul Wise ]
  * Add debian/pathces/use-system-libs.patch to use system libraries
    instead of embedded ones

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 20 Jan 2012 13:27:17 +0100

netpanzer (0.8.2-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Add Homepage and VCS fields to control
  * Add myself to uploaders
  * Bump Standards Version to 3.7.3 (no changes needed)

  [ Gonéri Le Bouder ]
  * dpkg-buildpackage -B doesn't create arch all package anymore
  * clean quilt .pc directory and config.log
  * add desktop.diff to remove the invalid category Application
  * call jam with the -q flag to make it stop building as soon as an error
    append
  * add a missing '#include <algorithm>' in patches/gcc-4.3.diff to fix the
    build with gcc 4.3 (Closes: #462205)
  * remove the homepage URL from the descriptions

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue,  5 Feb 2008 18:34:23 +0100

netpanzer (0.8.2-1) unstable; urgency=low

  * new upstream release (Closes: #294213)
   - merge netpanzer-data and netpanzer like upstream did
   - remove merged patches:
    * 01_gcc4.1.patch
    * 02_setframe_denial_of_service.patch
  * change from pkg-games to Debian Games Team in copyright
   - removed this entry from 0.8+svn20060319-2 changelog entry
  * creates netpanzer-dbg that provide debugging symbol in order to help
    bugchasing (thanks Fabian Fagerholm) (Closes: #401775)
  * netpanze depends on netpanzer-data (= ${source:Version})
  * cdbs simple-patchsys.ml replaced by quilt
  * add Aaron Perez in the debian/copyright
  * add gcc-4.3.diff Thanks again Martin Michlmayr (Closes: #417445)
  * copy a fresh config.{guess,sub} during the build
   + add autotools-dev in builddeps

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 11 Jul 2007 17:02:32 +0200

netpanzer (0.8+svn20060319-2) unstable; urgency=low

  * fix watch file
  * Standards-Version: 3.7.2
  * [CVE-2006-2575] setFrame() Denial of Service Vulnerability
    Closes: #370146
  * switch from dpatch to simple-patchsys

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun,  4 Jun 2006 14:27:45 +0200

netpanzer (0.8+svn20060319-1) unstable; urgency=low

  * New SVN snapshot.
  * Fix security issue against server CAN-2005-2295 (Closes: #318329)
  * Fix FTBFS with g++ 4.1 (Closes: #355739)
  * New maintainer: Debian pkg-games group

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 19 Mar 2006 18:54:02 +0100

netpanzer (0.8+svn20050612-1) unstable; urgency=low

  * New SVN snapshot.
    - fixes crash with not full servers under PowerPC (Closes: #312918)
  * Hints are not long titles. Fixed menu file (Closes: #296877)

 -- Bartosz Fenski <fenio@debian.org>  Sun, 12 Jun 2005 13:48:12 +0200

netpanzer (0.8-1) unstable; urgency=low

  * New upstream version.
  * s/fenio@o2.pl/fenio@debian.org/

 -- Bartosz Fenski <fenio@debian.org>  Wed, 26 Jan 2005 22:45:11 +0100


