=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Barry deFreese <bddebian@comcast.net>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  liblua5.1-0-dev,
  libphysfs-dev,
  libpng-dev,
@@ -15,11 +15,10 @@
  pkg-config,
  scons,
  zlib1g-dev
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
-Homepage: https://www.netpanzer.info/
-Vcs-Git: https://salsa.debian.org/games-team/netpanzer.git
-Vcs-Browser: https://salsa.debian.org/games-team/netpanzer
+Standards-Version: 3.9.8
+Homepage: http://www.netpanzer.info/
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/netpanzer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/netpanzer.git
 
 Package: netpanzer
 Architecture: any
@@ -47,7 +46,6 @@
 
 Package: netpanzer-data
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
