=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	chmod a-x pics/flags/karmapa.bmp
	scons datadir=/usr/share/games/netpanzer

override_dh_auto_clean:
	dh_auto_clean
	[ -f SConstruct ] || scons --clean
	find . -name "*.o" -delete
	find . -name "*.a" -delete
	find . -name ".sconsign.dblite" -delete
	$(RM) netpanzer


override_dh_installchangelogs:
	dh_installchangelogs docs/old/ChangeLog
