=== debian/watch ===
#version=4
# FIXME 404 not found?
#http://www.netpanzer.info/Download/NetPanzer/Releases/0.8.7/netpanzer-0.8.7-source.zip
